Bug 1146985 - Patches with "Submitted, Merge Pending " status in GlusterFs gerrit server
Summary: Patches with "Submitted, Merge Pending " status in GlusterFs gerrit server
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 13:55 UTC by Humble Chirammal
Modified: 2016-06-15 10:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-15 10:59:51 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Humble Chirammal 2014-09-26 13:55:02 UTC
Description of problem:

Some of the patches are not getting merged and it stays with ""Submitted, Merge Pending " Status. 


Version-Release number of selected component (if applicable):


How reproducible:

http://review.gluster.org/#/c/8866/
http://review.gluster.org/#/c/8855/
Steps to Reproduce:

Actual results:


Expected results:


Additional info:
http://supercolony.gluster.org/pipermail/gluster-devel/2014-August/042022.html

Comment 1 Niels de Vos 2014-09-26 15:37:19 UTC
Known workaround:

1. abandon all the patches that are in the "Submitted, Merge Pending" state
2. resubmit the patches with a different Change-Id

Note that only the original submitter or a Gerrit admin can abandon patches.

Comment 2 drunkgranny 2015-05-07 15:35:41 UTC
I have the same problem. I use jenkins + gerrit.

If I commit and push some changes and build-NOT-OK, I will see and fix it. When I fixed it, then commit and push, I see "Submitted, Merge Pending".

I don`t know how to fix it...

Comment 3 drunkgranny 2015-05-07 15:35:55 UTC
I have the same problem. I use jenkins + gerrit.

If I commit and push some changes and build-NOT-OK, I will see and fix it. When I fixed it, then commit and push, I see "Submitted, Merge Pending".

I don`t know how to fix it...

Comment 4 Justin Clift 2015-05-08 20:01:22 UTC
Does the workaround help for you?

Comment 5 Nigel Babu 2016-06-15 10:59:51 UTC
I'm guessing this doesn't happen anymore.


Note You need to log in before you can comment on or make changes to this bug.